#include <stdio.h>
#include <stdlib.h>

/* store all facets of the jobs we need */
typedef struct {
    int days;
    int discount;
    double priority;
    int index;
} job;

/* ordering function for qsort
 * go by priority first, and then index */
int cmp(job* a, job* b) {
    if (a->priority < b->priority) {
        return -1;
    }
    if (a->priority > b->priority) {
        return 1;
    }

    if (a->index < b->priority) {
        return -1;
    }
    if (a->index > b->index) {
        return 1;
    }

    return 0;
}

int main() {
    int n, i;

    /* read the size and allocate */
    scanf("%d", &n);
    job* jobs = malloc(n * sizeof(job));

    /* go through each one */
    for (i = 0; i < n; i++) {
        /* do the input */
        scanf("%d %d", &jobs[i].days, &jobs[i].discount);

        /* save the index and priority as well */
        jobs[i].index = i + 1;
        jobs[i].priority = (double) jobs[i].days / (double) jobs[i].discount;
    }

    /* sort them by priority */
    qsort(jobs, n, sizeof(job), (int (*) (const void*, const void*)) &cmp);

    /* now print the indices */
    for (i = 0; i < n; i++) {
        printf("%d ", jobs[i].index);
    }
    printf("\n");
    free(jobs);

    return 0;
}

